<?php

//------------------------------------------------------------------------
// This script is a part of ABC Mail Manager
//
// Version: 2.5
// Homepage: www.zakkis.ca
// Copyright (c) 2002-2003 Zakkis Technology, Inc.
// All rights reserved.
//
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// REGENTS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
// SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
// HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
// STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
// ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGE.
//
//------------------------------------------------------------------------

/***************************************************************************
*
* Input parameters.
* 	$id - Index of letter in ArchiveIndex class (line number in index.dat)
*
* This script is protected by password. To make this script free-launched
* simply include init.php and define variable $Correct of any type with any
* value at global scope.
*
****************************************************************************/

	include ('class/ArchiveIndex.class.inc');
	include ('data/archive_options.inc');
	
	global $HTTP_GET_VARS, $HTTP_POST_VARS, $REQUEST_URI;
	
	//
	// Adjust indexes
	
	$active_folder = "";
	$letter_id = 0;
	
	if( isset( $HTTP_GET_VARS['let'] ) )
		$letter_id = $HTTP_GET_VARS['let'];
	elseif(isset( $HTTP_POST_VARS['let'] ) )
		$letter_id = $HTTP_POST_VARS['let'];
	
	if( isset( $HTTP_GET_VARS['id'] ) )
		$active_folder = $HTTP_GET_VARS['id'];
	elseif(isset( $HTTP_POST_VARS['id'] ) )
		$active_folder = $HTTP_POST_VARS['id'];
		
	$index = new ArchiveIndex( false, $active_folder ); // Open index in reverse order
	
	
	//
	// Configure target link
	
	$target = "view_letter.php?id=" . $active_folder;
	
	$index_target = "view_archive.php?id=" . $active_folder;
	$target .= "&ctx=$ctx";
		
	if( $letter_id < 0 || $letter_id > $index->GetCount( $active_folder ) )
	{
		print <<<END
		<p class=bodyText>Letter not found. Go back to <a href="$index_target">Index</a></p>
END;
		return;
	}
	
	//
	// Get letter object & load body
	
	$dir = substr( 0, strrchr($REQUEST_URI, "/" ) + 1 );
	$letter = $index->Get( $letter_id );
	$filename = $dir . $index->archive_dir . $letter->id . '.' . $letter->type;
	
	$file = fopen ( $filename, "r" );
	$content = fread ($file, filesize ($filename));
	fclose ($file);
	
	$content = str_replace( 
				array(	'<%NAME%>',
						'<%EMAIL%>',
						'<%FOLDER%>',
						'<%UNSUBSCRIBE%>'),
				array( "","","",""),
				$content );
	
	$content = nl2br ( $content );
	
	echo $archive_Header;
	
?>	
	
	<table width="100%" border=0 cellpadding="5" cellspacing="0" class="bodyText">
	<tr>
		<td height="30" align=left>
<?php
	//
	// Print link to prev letter	
	
	if( $letter_id == 0 )
		print '<b><<< Prev</b>';
	else
	{
		$next_letter = $letter_id - 1;
		print "<a href=\"$target&let=$next_letter\"><<< Prev</a>";
	}
?>
		</td>
		<td height="30" align=center>
			<a href="<?=$index_target?>">Index</a>
		</td>
		<td height="30" align=right>
<?php
	//
	// Print link to next letter	
	
	if( $letter_id == $index->GetCount( $active_folder ) - 1 )
		print '<b>Next >>></b>';
	else
	{
		$prev_letter = $letter_id + 1;
		print "<a href=\"$target&let=$prev_letter\">Next >>></a>";
	}
	
	$subject = htmlspecialchars( $letter->subject, ENT_QUOTES );
	
	if ( empty ( $subject ) )
		$subject = "No subject";
	
?>
		</td>
	</tr>

	<tr><td colspan=3 bgcolor="#e0e0e0" height="2"></td></tr>

	<tr><td colspan=3 height=10>
		<table class="bodyText">
		<tr>
			<td width=90>
			<b>Subject:</b></td><td><font class=BodyText><?=$subject?></font>
			</td>
		</tr>
		<tr>
			<td width=90>
			<b>Sent:</b></td><td><font class=BodyText><?=date("D M j G:i:s Y", $letter->tm );?></font>
			</td>
		</tr>
		</table>
	</td></tr>
	
<?php
	if( $letter->HasAttachments() )
	{
		print <<<END
	<tr><td colspan=3 bgcolor="#e0e0e0" height="2"></td></tr>
			
	<tr><td colspan=3 valign=top height="30">
			<p>
				<b>Attachments:</b><br>

END;
		for( $i=0; $i < count( $letter->attachments ); $i++ )
		{
			$name = $letter->attachments[ $i ][ 0 ];
		
			$link = dirname( $REQUEST_URI ) . '/';
			$link .= $letter->attachments[ $i ][ 1 ];
			
			print "\t\t\t&nbsp;&nbsp;&nbsp;<img src=\"images/bullet.gif\">&nbsp;<a href=\"$link\">$name</a><br>\n";
		}
		
		print <<<END
	</td></tr>
	<tr><td colspan=3 height="2"></td></tr>

END;
	}
?>
	
	
	<tr>
		<td align=left valign=top colspan=3 height="400">
			<iframe name=letterFrame src="<?=$filename?>"
				width="100%" height="100%">
			</iframe>
		</td>		
	</tr>
</table>

<?php
echo $archive_Footer;
?>
